## standardskriver 0.0.3

=== Makefile ===
PREFIX  ?= /usr/local
DESTDIR ?=

all: build

build: man

man::
	gzip -9 -c -n data/standardskriver.1 > data/standardskriver.1.gz

install:

        # script
	mkdir -p $(DESTDIR)$(PREFIX)/bin/
	install -m 0755 standardskriver $(DESTDIR)$(PREFIX)/bin/

	# man page
	mkdir -p $(DESTDIR)$(PREFIX)/share/man/man1
	install -m 0644 data/*.1.gz $(DESTDIR)$(PREFIX)/share/man/man1/

	# enable autostart via XDG
	mkdir -p $(DESTDIR)/etc/xdg/autostart/
	install -m 0644 data/*.desktop $(DESTDIR)/etc/xdg/autostart/

clean::
	-rm data/standardskriver.1.gz

.PHONY: man

=== debian/changelog ===
standardskriver (0.0.3-1) unstable; urgency=medium

  * New upstream release. Consolidates Python3 porting efforts.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 27 Jun 2017 16:21:36 +0200

standardskriver (0.0.2-1) unstable; urgency=medium

  * Initial release to Debian. (Closes: #866111).

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 27 Jun 2017 14:38:21 +0200

=== debian/control ===
Source: standardskriver
Section: admin
Priority: extra
Maintainer: Debian Edu Packaging Team <debian-edu-pkg-team@lists.alioth.debian.org>
Uploaders:
 Mike Gabriel <sunweaver@debian.org>
Build-Depends:
 debhelper (>= 9),
 cdbs,
Standards-Version: 4.0.0
Homepage: https://code.it-zukunft-schule.de/cgit/standardskriver/
Vcs-Git: https://anonscm.debian.org/git/debian-edu/pkg-team/standardskriver.git
Vcs-Browser: https://anonscm.debian.org/git/debian-edu/pkg-team/standardskriver.git

Package: standardskriver
Architecture: all
Depends:
 ${misc:Depends},
 cups-client,
 net-tools,
 python3,
 python3-netaddr,
Description: Tool for dynamically setting a user's default printer at desktop session logon
 The Standard Skriver Tool ('standardskriver' is Norwegian, i.e. Bokmål,
 for "default printer") allows the site admin to dynamically update
 a user's default printer setting at logon time.
 .
 At desktop session startup, a new default printer gets automatically
 configured based on the localation of the client host in use and/or also
 based on POSIX group memberships of the current user.
 .
 Standard Skriver uses an easy-to-setup INI configuration file. The
 configuration syntax also supports for configuring of multiple sites, so
 one configuration file can be deployed to multiple sites.

=== debian/watch ===
version=3
http://code.it-zukunft-schule.de/cgit/standardskriver/ \
    snapshot/standardskriver-(\d\.\d\.\d)\.tar\.gz$

## standardskriver 0.0.4

=== debian/changelog ===
standardskriver (0.0.4-2) unstable; urgency=medium

  * Team Upload
  * Switched away from CDBS to dh with compat level 13. (Closes: #1115869)
  * debian/control: Bump Standards-Version: to 4.7.2. No changes needed.
  * Switched d/watch to version 4.
  * Removed obsolete FSF address from d/copyright.

  [ Debian Janitor ]
  * Remove unnecessary get-orig-source-target.
  * Update standards version to 4.6.1, no changes needed.

 -- Petter Reinholdtsen  <pere@debian.org>  Thu, 11 Dec 2025 19:12:02 +0100

standardskriver (0.0.4-1) unstable; urgency=medium

  * New upstream release.
    - Utitilize "ip" instead of "ifconfig" and properly
      detect local system's IP addresses again. (Closes: #944244).
  * debian/patches:
    + Drop 1001_fix-typo-in-man-page.patch. Applied upstream.
    + Add README file explaining our patch file naming scheme.
  * debian/control:
    + Bump Standards-Version: to 4.4.1. No changes needed.
    + Add Rules-Requires-Root: field and set it to "no".

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 06 Nov 2019 18:03:50 +0100

standardskriver (0.0.3-2) unstable; urgency=medium

  * debian/control:
    + Fix typo in LONG_DESCRIPTION. (Closes: #873707).
    + Update Vcs-*: fields. Packaging Git has been migrated to salsa.debian.org.
    + Set Priority: to optional.
    + Package is now compliant with Standards-Version: 4.2.0.
  * debian/patches:
    + Add 1001_fix-typo-in-man-page.patch.
  * debian/watch:
    + Use secure URL for upstream tarball download.
  * debian/copyright:
    + Use secure URI to obtain copyright format reference.
  * debian/{control,compat}:
    + Switch to DH compat level version 10 (CDBS does not support 11, yet).

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 15 Aug 2018 11:58:10 +0200

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,16 @@
 Source: standardskriver
 Section: admin
-Priority: extra
+Priority: optional
 Maintainer: Debian Edu Packaging Team <debian-edu-pkg-team@lists.alioth.debian.org>
 Uploaders:
  Mike Gabriel <sunweaver@debian.org>
 Build-Depends:
- debhelper (>= 9),
- cdbs,
-Standards-Version: 4.0.0
+ debhelper-compat (= 13),
+Standards-Version: 4.7.2
+Rules-Requires-Root: no
 Homepage: https://code.it-zukunft-schule.de/cgit/standardskriver/
-Vcs-Git: https://anonscm.debian.org/git/debian-edu/pkg-team/standardskriver.git
-Vcs-Browser: https://anonscm.debian.org/git/debian-edu/pkg-team/standardskriver.git
+Vcs-Git: https://salsa.debian.org/debian-edu-pkg-team/standardskriver.git
+Vcs-Browser: https://salsa.debian.org/debian-edu-pkg-team/standardskriver
 
 Package: standardskriver
 Architecture: all
@@ -26,7 +26,7 @@
  a user's default printer setting at logon time.
  .
  At desktop session startup, a new default printer gets automatically
- configured based on the localation of the client host in use and/or also
+ configured based on the location of the client host in use and/or also
  based on POSIX group memberships of the current user.
  .
  Standard Skriver uses an easy-to-setup INI configuration file. The

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@

override_dh_auto_install:
	dh_auto_install --destdir=debian/standardskriver/ -- PREFIX=/usr

=== debian/watch ===
version=4
https://code.it-zukunft-schule.de/cgit/standardskriver/ \
    snapshot/standardskriver-(\d\.\d\.\d)\.tar\.gz$
